import { type OnInit, ElementRef } from '@angular/core';
import { PrettySymbols, ActiveVariable } from 'phoenix-event-display';
import { EventDisplayService } from '../../../../services/event-display.service';
import * as i0 from "@angular/core";
export declare class CollectionsInfoOverlayComponent implements OnInit {
    private elementRef;
    private eventDisplay;
    showObjectsInfo: boolean;
    hideInvisible: boolean;
    collections: string[];
    selectedCollection: string;
    showingCollection: any;
    collectionColumns: string[];
    getPrettySymbol: typeof PrettySymbols.getPrettySymbol;
    activeObject: ActiveVariable<string>;
    constructor(elementRef: ElementRef, eventDisplay: EventDisplayService);
    ngOnInit(): void;
    changeCollection(selectedCollection: string): void;
    sort(column: string, order: string): void;
    lookAtObject(uuid: string): void;
    highlightObject(uuid: string): void;
    enableHighlighting(): void;
    disableHighlighting(): void;
    toggleInvisible(checked: boolean): void;
    addLabel(index: number, uuid: string): void;
    private getEventDataGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<CollectionsInfoOverlayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CollectionsInfoOverlayComponent, "app-collections-info-overlay", never, { "showObjectsInfo": { "alias": "showObjectsInfo"; "required": false; }; }, {}, never, never, false, never>;
}
