import { type OnInit } from '@angular/core';
import { ActiveVariable } from 'phoenix-event-display';
import { EventDisplayService } from '../../../../services/event-display.service';
import { Object3D, type Object3DEventMap } from 'three';
import * as i0 from "@angular/core";
export declare class GeometryBrowserOverlayComponent implements OnInit {
    private eventDisplay;
    browseDetectorParts: boolean;
    selectedCollection: string;
    showingCollection: any;
    activeObject: ActiveVariable<string>;
    children: Object3D<Object3DEventMap>[];
    constructor(eventDisplay: EventDisplayService);
    ngOnInit(): void;
    changeCollection(selectedCollection: string): void;
    lookAtObject(uuid: string): void;
    highlightObject(uuid: string): void;
    enableHighlighting(): void;
    disableHighlighting(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GeometryBrowserOverlayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GeometryBrowserOverlayComponent, "app-geometry-browser-overlay", never, { "browseDetectorParts": { "alias": "browseDetectorParts"; "required": false; }; }, {}, never, never, false, never>;
}
