import { type OnInit, ComponentRef, type OnDestroy } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { ObjectSelectionOverlayComponent } from './object-selection-overlay/object-selection-overlay.component';
import { EventDisplayService } from '../../../services/event-display.service';
import * as i0 from "@angular/core";
export declare class ObjectSelectionComponent implements OnInit, OnDestroy {
    private overlay;
    private eventDisplay;
    hiddenSelectedInfo: boolean;
    overlayWindow: ComponentRef<ObjectSelectionOverlayComponent>;
    constructor(overlay: Overlay, eventDisplay: EventDisplayService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleOverlay(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObjectSelectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObjectSelectionComponent, "app-object-selection", never, {}, {}, never, never, false, never>;
}
