import * as i0 from "@angular/core";
export declare class ErrorMessageService {
    /** A variable that stores the latest error thrown. */
    private error;
    /**
     * Subscribe to when an error occurs.
     * @param callback A function called when an error occurs.
     */
    subscribeToError(callback: (error: Error) => void): void;
    /**
     * Set the current error.
     * @param error The error that has occurred.
     */
    setError(error: Error): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ErrorMessageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ErrorMessageService>;
}
