import { type PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Pipe for transforming selected object attributes to a better format.
 */
export declare class AttributePipe implements PipeTransform {
    /**
     * Transform the attribute to a better presentable format.
     * @param value Value to be transformed.
     * @param args Additional arguments.
     * @returns The transformed value.
     */
    transform(value: any, args?: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AttributePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AttributePipe, "attributePipe", false>;
}
