export declare enum EventDataFormat {
    JSON = "JSON",
    EDM4HEPJSON = "EDM4HEPJSON",
    JIVEXML = "JIVEXML",
    IG = "IG",
    ZIP = "ZIP"
}
export type EventDataImportOption = EventDataFormat | ImportOption;
export declare class ImportOption {
    format: string;
    fileType: string;
    handler: (files: FileList) => void;
    accept?: string;
    constructor(format: string, fileType: string, handler: (files: FileList) => void, accept?: string);
}
