import { EventDisplayService } from './event-display.service';
import * as i0 from "@angular/core";
/**
 * Service makeing file loading easier
 */
export declare class FileLoaderService {
    private lastEventsURL;
    private lastEventsOptions;
    unzip(data: ArrayBuffer): Promise<string>;
    makeRequest(urlPath: string, responseType: 'json' | 'text' | 'blob', onData: (data: any) => void, options?: any): boolean;
    loadJSONEvent(eventData: string, eventDisplay: EventDisplayService): void;
    loadJiveXMLEvent(eventData: string, eventDisplay: EventDisplayService): void;
    loadEvent(file: string, eventDisplay: EventDisplayService, options?: any): boolean;
    reloadLastEvents(eventDisplay: EventDisplayService): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileLoaderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FileLoaderService>;
}
